petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscObjectListDuplicate

Creates a new list from a give object list.

### Synopsis

    PetscErrorCode  PetscObjectListDuplicate(PetscObjectList fl,PetscObjectList *nl)

### Input Parameters

fl -pointer to list

### Output Parameters

nl -the new list (should point to 0 to start, otherwise appends)

### See Also

PetscObjectListDestroy(), PetscObjectListAdd(), PetscObjectListReverseFind(), PetscObjectListFind(), PetscObjectListDuplicate()

Level:developer
Location:src/sys/objects/olist.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages